list(APPEND image_HEADERS 
    Image.h
    PngWriter.h
    )

list(APPEND image_LIB_INCLUDES 
    Image.cpp
    PngWriter.cpp
    )

add_library(image SHARED ${image_LIB_INCLUDES} ${image_HEADERS})

target_include_directories(image PUBLIC
                          "${CMAKE_CURRENT_SOURCE_DIR}"
                          )
set_target_properties( image PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON )   

find_package(PNG REQUIRED)                       
target_link_libraries( image PUBLIC PNG::PNG core)

set_property(TARGET image PROPERTY FOLDER src)